Summary:	Basic hardware access drivers for logic analyzers
Name:		libsigrok
Version:	0.2.2
Release:	1
License:	GPL v3+
Group:		Libraries
URL:		http://www.sigrok.org/
Source0:	http://sigrok.org/download/source/libsigrok/%{name}-%{version}.tar.gz
# Source0-md5:	c14ae407e33b43cae33751246a045ab9
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	glib2-devel
BuildRequires:	graphviz
BuildRequires:	libftdi-devel
BuildRequires:	libtool
BuildRequires:	libusb-devel
BuildRequires:	libzip-devel
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	udev-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
%{name} is a shared library written in C which provides the basic API
for talking to logic analyzer hardware and reading/writing the
acquired data into various input/output file formats.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
install -d autostuff
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-static \
	--disable-silent-rules \
	--enable-all-drivers \

%{__make}

doxygen Doxyfile

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS
%attr(755,root,root) %{_libdir}/libsigrok.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsigrok.so.1

%files devel
%defattr(644,root,root,755)
%doc doxy/html-api/*
%{_includedir}/libsigrok
%attr(755,root,root) %{_libdir}/libsigrok.so
%{_pkgconfigdir}/libsigrok.pc
%changelog
* Sat Dec 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsigrok.git;a=log;h=master

* Sat Dec 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 51c99e7
- up to 0.2.2

* Thu Jul 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e64645
- up to 0.2.0 final

* Sun Mar 10 2013 Elan Ruusamäe <glen@delfi.ee> 940b9d4
- adapter, BR pkgconfig

* Sat Mar 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f57dde9
- md5

* Sat Mar 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 041136c
- up to 0.2.0 snap

* Sat Mar 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ab08c75
- initial

